%define module	django
%define tarname	Django
%define subrel  3

Summary:	A high-level Python Web framework
Name:		python-%{module}14
Version:	1.4.14
Release:	%mkrel 1
Source0:	http://www.djangoproject.com/m/releases/1.4/Django-%{version}.tar.gz
Source1:    simplejson-init.py
License:	BSD
Group:		Development/Python
Url:		http://www.djangoproject.com
BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:  python-sphinx
BuildRequires:  python-devel

# provide compatibility with python-django
Provides:       python-django = %{version}-%{release}
Obsoletes:      python-django < 1.4.14
Conflicts:      python-django >= 1.5

%description
Django is a high-level Python Web framework that encourages rapid development
and clean, pragmatic design.

Developed and used over the past two years by a fast-moving online-news
operation, Django was designed from scratch to handle two challenges: the
intensive deadlines of a newsroom and the stringent requirements of experienced
Web developers. It has convenient niceties for developing content-management
systems, but it's an excellent tool for building any Web site.

Django focuses on automating as much as possible and adhering to the
DRY principle.

%prep
%setup -q -n %{tarname}-%{version}
# remove bundled eggs
find . -name "*.egg" -exec rm -f '{}' \;

# empty files
for f in \
    django/contrib/humanize/models.py \
    django/contrib/markup/models.py \
    django/contrib/staticfiles/models.py \
    django/contrib/webdesign/models.py \
; do
  echo "# just a comment" > $f
done
echo "<!-- nothing -->" > django/contrib/flatpages/tests/templates/registration/login.html

# remove bundled simplejson (for tests)
cd django/utils/simplejson
rm -rf *
# and put the replacement stub in place
cp -p %{SOURCE1} __init__.py

%build
%{__python} setup.py build
make -C docs/ html

%install
%{__python} setup.py install --skip-build --root=%{buildroot}

%files
%doc LICENSE README docs/_build/html
%{_bindir}/*
%{python_sitelib}/%{module}
%{python_sitelib}/%{tarname}-*.egg-info



%changelog
* Tue Sep 02 2014 philippem <philippem> 1.4.14-1.3.mga4
+ Revision: 671096
- revert to no parallel install
- add missing requires
- update to 1.4.14, security fix for CVE-2014-0481, CVE-2014-0482, CVE-2014-0483
- 1.4.13 (fixes CVE-2014-1418, CVE-2014-3730)
- fix regression with upstream patch dj#22486
- 1.4.11 (fixes CVE-2014-0472, CVE-2014-0473, CVE-2014-0474)

* Wed Oct 30 2013 philippem <philippem> 1.4.8-2.mga4
+ Revision: 547925
- provide compatibility with python-django

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Thu Oct 17 2013 neoclust <neoclust> 1.4.8-1.mga4
+ Revision: 502191
- imported package python-django14

